<div class="site-mobile-menu site-navbar-target">
    <div class="site-mobile-menu-header">
        <div class="site-mobile-menu-close">
            <span class="icon-close2 js-menu-toggle"></span>
        </div>
    </div>
    <div class="site-mobile-menu-body"></div>
</div>


<div class="hero overlay" style="background-image: url('assets/images/bg_3.jpg');">
    <div class="container">
    <div class="row align-items-center">
    <div class="col-lg-9 mx-auto text-center">
      <h1 class="text-white">Signup</h1>
      <br>
    </div>
    </div>
    </div>
    </div>

    
    <div class="site-section">
      <div class="container">
          <div class="row">
              <div class="col-lg-12">
                  <form [formGroup]="signupForm">
                      <div class="form-group">
                          <input type="text" formControlName="firstName" class="form-control" placeholder="UserName">
                          <div class="text-danger" *ngIf="signupForm.controls['firstName'].invalid && (signupForm.controls['firstName'].dirty || signupForm.controls['firstName'].touched)">
                           <div *ngIf="signupForm.controls['firstName'].errors?.required">Required</div>
                           <div *ngIf="signupForm.controls['firstName'].errors?.minlength">Min length 3</div>
                          </div>
                          
                      </div>
                      <div class="form-group">
                          <input type="email" formControlName="email" class="form-control" placeholder="Email">
                          <div class="text-danger" *ngIf="signupForm.controls['email'].invalid && (signupForm.controls['email'].dirty || signupForm.controls['email'].touched)">
                            <div *ngIf="signupForm.controls['email'].errors?.required">Required</div>
                            <div *ngIf="signupForm.controls['email'].errors?.email">invalid format</div>
                          </div>
                          <div class="text-success" *ngIf="signupForm.get('email').valid">helloo</div>
                      </div>
                      <div class="form-group">
                          <input type="password" formControlName="password" class="form-control" placeholder="password">
                          
                      </div>
                      <div class="form-group">
                          <input type="password" formControlName="confirmPassword" class="form-control" placeholder="confirm password">
                          <div class="text-danger" *ngIf="signupForm.controls['confirmPassword'].invalid && (signupForm.controls['confirmPassword'].dirty || signupForm.controls['confirmPassword'].touched)">
                            <div *ngIf="signupForm.controls['confirmPassword'].errors?.mustMatch">MustMatch</div>
                            
                      </div>
                      </div>
                      <div class="form-group">
                          <input type="submit" (click)="signup()" [disabled]="this.signupForm.invalid" class="btn btn-primary py-3 px-5">
                      </div>
                  </form>
              </div>
          </div>
      </div>
  </div>

  